summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Martin Rodriguez <slackmart@gmail.com>2015-01-01 09:06:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-01 09:06:19 +0700
commitfc5c7072005c259eee085a889511474e89e8bdd1 (patch)
tree1a1685fe9fcdfc9f11ebefbbcaf1e6b2fb52b333 /misc
parent884015d064e1887122600233ea947f2446b887b7 (diff)
downloadslackbuilds-fc5c7072005c259eee085a889511474e89e8bdd1.tar.gz
slackbuilds-fc5c7072005c259eee085a889511474e89e8bdd1.tar.xz
misc/xcape: Added (Key Modifier).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/xcape/README9
-rw-r--r--misc/xcape/slack-desc19
-rw-r--r--misc/xcape/xcape.SlackBuild77
-rw-r--r--misc/xcape/xcape.info10
4 files changed, 115 insertions, 0 deletions
diff --git a/misc/xcape/README b/misc/xcape/README
new file mode 100644
index 0000000000..27d31e1e3f
--- /dev/null
+++ b/misc/xcape/README
@@ -0,0 +1,9 @@
+xcape (Linux utility to configure modifier keys)
+
+xcape allows you to use a modifier key as another key when pressed and
+released on its own. Note that it is slightly slower than pressing the
+original key, because the pressed event does not occur until the key
+is released.
+
+The default behaviour is to generate the Escape key when Left Control
+is pressed and released on its own.
diff --git a/misc/xcape/slack-desc b/misc/xcape/slack-desc
new file mode 100644
index 0000000000..bc9d476635
--- /dev/null
+++ b/misc/xcape/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler---------------------------------------------------------|
+xcape: xcape (Linux utility to configure modifier keys)
+xcape:
+xcape: xcape allows you to use a modifier key as another key when pressed and
+xcape: released on its own. Note that it is slightly slower than pressing the
+xcape: original key, because the pressed event does not occur until the key
+xcape: is released.
+xcape:
+xcape: The default behaviour is to generate the Escape key when Left Control
+xcape: is pressed and released on its own.
+xcape:
+xcape: Homepage https://github.com/alols/xcape
diff --git a/misc/xcape/xcape.SlackBuild b/misc/xcape/xcape.SlackBuild
new file mode 100644
index 0000000000..ab6ccf6fa3
--- /dev/null
+++ b/misc/xcape/xcape.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for xcape
+# Maintained as of version 1.1 by SGMART <slackmart@gmail.com>
+# revision date: 2014/12/31
+
+PRGNAM=xcape
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ ARCHQUADLET=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use "-j1" to avoid some warnings
+
+make -j1 LIBDIR=/usr/lib${LIBDIRSUFFIX}
+make install LIBDIR=/usr/lib${LIBDIRSUFFIX} DESTDIR=$PKG MANDIR=/man
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$VERSION/README.md $TMP/$PRGNAM-$VERSION/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/xcape/xcape.info b/misc/xcape/xcape.info
new file mode 100644
index 0000000000..da6615f666
--- /dev/null
+++ b/misc/xcape/xcape.info
@@ -0,0 +1,10 @@
+PRGNAM="xcape"
+VERSION="1.1"
+HOMEPAGE="https://github.com/alols/xcape"
+DOWNLOAD="https://github.com/alols/xcape/archive/v1.1.tar.gz"
+MD5SUM="d2a5ffcdc4e8fe4d44955a17f109a9d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Martin Rodriguez"
+EMAIL="slackmart@gmail.com"